function drawPrice(hist_date, hist_open, hist_close, hist_low, hist_high)

dates = hist_date;

open = fints(dates, hist_open)
close = fints(dates, hist_close)
low = fints(dates, hist_low)
high = fints(dates, hist_high)

plot(open, 'k');
title('Chart of opne, close, low and high')

ylabel({'Cents','per bushel'})
xlabel({'Timeline'})
hold on

plot(close, 'r');
hold on
plot(low, 'y');
hold on
plot(high, 'g');
hold on
legend('Open', 'Close', 'Low', 'High')
NumTicks = 18;
L = get(gca,'XLim');

set(gca,'XTick',linspace(L(1),L(2),NumTicks))
dateaxis('x', 2)

filename = 'priceData.xlsx';

for i = 3:length(hist_close)
    day_close = hist_close(i)
    day_high = hist_high(i)
    day_low = hist_low(i)
    day_open = hist_open(i)
    
    today = dates{i}

    A = {'day', today, 'open', day_open, 'close', day_close, 'low', day_low, 'high', day_high}
    sheet = 1;
    xlswrite(filename,A,sheet,strcat('A',num2str(i)));
end;

